Bug 122385 - IDE disk corruptor in 2.6.x kernels
Summary: IDE disk corruptor in 2.6.x kernels
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC2Blocker
TreeView+ depends on / blocked
 
Reported: 2004-05-03 22:05 UTC by Alan Cox
Modified: 2007-11-30 22:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-10 00:26:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alan Cox 2004-05-03 22:05:59 UTC
IDE in 2.4 issues cache flush and drive suspend on shutdown. IDE in
2.6 does it on suspend but not on shutdown it seems. 

The following appears to demonstrate the problem.

Set up init to randomly twiddle a load files, then mount -o ro /
then reboot.

Run for a day

Stop and fsck it

Not only is the corruption slow and insidious the re-ordering of I/O
seems to mean ext3 thinks the disk is clean many of the times. Only
the fsck shows the mess.

Bartlomiej concurs
" I need to re-add notify_reboot which somebody (who was that stupid?)
removed in 2.5."

and suspects he too is seeing it on a Hitachi 80G disk.

Comment 1 Warren Togami 2004-05-04 01:53:52 UTC
I have seen this happen to me too.

Comment 2 Barry K. Nathan 2004-05-09 23:46:23 UTC
I've seen it too, but to me (in my testing) it seems fixed in 356.

Comment 3 Warren Togami 2004-05-10 00:26:05 UTC
Yes, the recent 35X kernels had patches for IDE cache flushing during
shutdown/reboot.  Arjan should we close this?


Note You need to log in before you can comment on or make changes to this bug.